﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Authentications;

namespace Hotline.Authentications
{
    public class Police110SessionContext : ISessionContext
    {
        public Police110SessionContext()
        {
            UserId = "08dc73e3-f77f-4484-8309-bed5e532c9f2";
            UserName = "市公安局110系统账号";
            OrgId = "001180";
            OrgName = "市公安局110";
            OrgLevel = 1;
        }

        /// <summary>
        /// Id of current tenant or null for host
        /// </summary>
        public string? UserId { get; }

        /// <summary>
        /// Id of current user or throw Exception for guest
        /// </summary>
        /// <exception cref="AuthenticationException"></exception>
        public string RequiredUserId { get; }
        public string? UserName { get; }
        public string? Phone { get; }

        /// <summary>
        /// Roles
        /// </summary>
        public string[] Roles { get; }
        public string? OrgId { get; set; }
        public string RequiredOrgId { get; }
        public string? OrgName { get; set; }
        public int OrgLevel { get; set; }
        public string? OrgAreaCode { get; set; }
        public bool OrgIsCenter { get; set; }

        /// <summary>
        /// 部门行政区划名称
        /// </summary>
        public string? OrgAreaName { get; set; }
        public string? AreaId { get; }
        public string? ClientId { get; }

        /// <summary>
        /// 工号
        /// </summary>
        public string? StaffNo { get; }
    }
}
